# ParseImageUrl

ParseImageUrl gem returns the image source url from the shortened image post url of twitpic, twipple or many other twitter image post services.

## Installation

Add this line to your application's Gemfile:

    gem 'parse_image_url'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install parse_image_url

## Usage

    require 'parse_image_url'

    twipple_uri = URI.parse('http://p.twipple.jp/GIb1F')
    #=> #<URI::HTTP:0x007f8a913a0c00 URL:http://p.twipple.jp/GIb1F>

    twipple_uri.img_url
    #=> "http://p.twpl.jp/show/orig/GIb1F"


#### return nil if the uri is not valid
    dummy_uri = URI.parse('http://example.com')
    #=> #<URI::HTTP:0x007f8a913a0c00 URL:http://example.com>

    dummy_uri.img_url
    #=> nil


## Contributing

1. Fork it ( https://github.com/[my-github-username]/parse_image_url/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
