# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'parse_image_url/version'

Gem::Specification.new do |spec|
  spec.name          = "parse_image_url"
  spec.version       = ParseImageUrl::VERSION
  spec.authors       = ["tomomichi"]
  spec.email         = ["info@notsobad.jp"]
  spec.summary       = %q{parse image source url from twitter image post services}
  spec.description   = %q{parse image source url from twitter image post services}
  spec.homepage      = "https://github.com/Tomomichi/img_src"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
